Subject: [proto-team] Re: WG chair use of the ID-tracker: Proposed tool addition

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 10 Jan 2007 03:17:17 +0100

Hi Dan,

Thanks for reading and commenting.  More inline:

on 2007-01-10 02:09 Dan Wing said the following:
> I applaud this effort - thank you very much.
> 
> * In several working groups, I have noticed an increased use of named
> technical reviewers.  It might be useful to have a place for those people to
> be listed, and also to get email notification of revisions of documents they
> are reviewing (similar to how chairs and the WG itself is informed of new
> revisions).  Some of these reviewers don't necessarily subscribe to the WG
> mailing list itself (cross-area review, for example).

The intention is to handle reviewer notification with a different new
tool, which actually is a general notification engine.  There's also
a reviewer support tool in the works, which may be the most appropriate
place to register reviewers.

> * Of the defined working group states, what is the intended purpose of the
> "Not a WG Document" state?  Is this intended for (1) individual documents
> which might be adopted by the working group, or (2) working group documents
> that have been abandoned by the working group (that is, more abandoned than
> the 'parked' state), or (3) is this the default state for all draft-*
> documents?  

The intention is (3).  I've added some more explanatory text to this
state in the source on my disk. (There's a preview here, too:
http://www1.tools.ietf.org/wg/proto/draft-ietf-proto-wgchair-tracker-ext/draft-ietf-proto-wgchair-tracker-ext-02.b.txt)

> If (1), I suggest calling this state 'Potential WG document' or 'Chair is
> Watching' (similar to the existing IESG "AD is watching" state), or 'Not Yet
> a WG Document', or 'Impending WG Document'; if (2), I suggest 'Abandoned';
> if (3), I suggest 'Individual Document' for draft-LASTNAME-*, and I suggest
> creating 'IAB document' for draft-iab-*, 'IRTF' for draft-irtf-*, 'IESG',
> 'ITU', etc.

For (1), do people think there's a need for such a state?  If so, I'll add
it to the spec.

The same goes for (2) - do people think there's a need for such a state?

For (3), there's a separate draft which will describe IAB and IRTF states.
I'd like to keep those separate, rather than create state dependencies
between them and the WG document states.  The WG document state should
only be relevant for documents being handled (or considered) by a WG;
others should simply be "Not a WG Document", and possibly have some other
state independently of the WG document state.  I'll add some explanatory
text about this, too.

> In any event, it would be useful if there was a way for a chair to indicate
> that an individual submission is interesting to the working group, sometime
> prior to it being adopted by the WG.  For example, perhaps the document
> doesn't fit in the WG's charter yet, or a milestone needs to be added.  But
> I suppose that state is pretty short-lived.  Anyway, I'll throw the idea out
> there and see what y'all think about it.

This is referring to (1) above, right?  Let's hear what people think.

> * It might be useful to show anticipated WGLC dates or dependencies, perhaps
> freeform in the WG state annotation.  See, for example,
>   http://www.employees.org/behave/document-status.html

Could this be handled by the annotation "Other - see Comment Log", or do
you see a clear need for an explicit annotation tag for this?

	Henrik

_______________________________________________
proto-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/proto-team

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 15:15:15 +0100

Hi Bert,

on 2007-01-11 11:42 Wijnen, Bert (Bert) said the following:
...
>> > That is a document that once was a WG document, but has 
>> been declared 
>> > dead, or no longer on the WG agenda.
>> > 
>> > I also wonder if it is possible (I know it is handy/useful) to have 
>> > the (next) milestone date for each WG document listed.
>> 
>> Mmm.  Good point.  One question: is this best handled by 
>> manual annotation, or could / should it rather be calculated 
>> / deduced from other data (charter, a set of acceptable times 
>> between events, etc.) ?
>> 
> 
> I always find it important/handy to see all info about a document in
> one place (inlcuding the formal agreed upon milestone date (as per 
> the WG charter). Just my 2 cents.

Ok.  Will see if this can be addressed somehow.  It may or may not be
part of this set of tracker changes; I think there may be a number of
different ways to address this.

	Henrik

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 15:17:57 +0100

Hi Tobias,

on 2007-01-11 15:00 Tobias Gondrom said the following:
> Hello Henrik,
> 
> I just read your draft and like it so far.
> Two small (and not so important) comments: 
> 1. the last sentence of the abstract seems to have a strange grammar.
> "Having the tracker support the working groups more fully is a primary
> benefit,..." ???

This works just fine in my head, so I need some more explanation to
understand the problem here.

> 2. I would agree with the comment from Dan, and propose further
> explanation in the text about the purpose of the "Not a WG
> Document"-state

Right.  Already added in my working copy.

> Thanks a lot for your work!

You're welcome :-)

	Henrik

> Tobias
> 
> 
> 
>> -----Original Message-----
>> From: Henrik Levkowetz [mailto:[email-masked]]
>> Sent: Tuesday, January 09, 2007 4:06 PM
>> To: 'Working Group Chairs'
>> Cc: [email-masked]
>> Subject: WG chair use of the ID-tracker: Proposed tool addition
>> 
>> Hi,
>> 
>>    The proto-team document that describes proposed changes to the
>> ID-tracker (https://datatracker.ietf.org/) which makes it possible
>> for WG chairs to use the I-D tracker for managing WG documents
>> has been revised after the feedback from this list (May 2006).
>> 
>> I've taken out all explicit state transitions; the tracker won't
>> enforce or check the state transitions.  I've also removed sub-states,
>> and instead introduced annotations to capture such things as documents
>> awaiting review.  Multiple annotations may exist at the same time.
>> 
>> As I also mentioned the last time:
>> 
>> Since these changes and enhancements are explicitly meant for Your
> Use,
>> Dear Fellow Chairs, it would be very good if you would read and
> comment
>> on the document.  Excluding boilerplate etc. the actual content is 6
>> pages long, so it should be manageable, especially if you check the
>> diffs (see links below).
>> 
>> The document is available from the internet-drafts repository:
>>
> http://ietf.org/internet-drafts/draft-ietf-proto-wgchair-tracker-ext-
>> 01.txt
>> 
>> Diffs between -00 and this version are available here:
>>   http://tools.ietf.org/wg/proto/draft-ietf-proto-wgchair-tracker-
>> ext/draft-ietf-proto-wgchair-tracker-ext-01-from-00.diff.html
>>   http://tools.ietf.org/wg/proto/draft-ietf-proto-wgchair-tracker-
>> ext/draft-ietf-proto-wgchair-tracker-ext-01-from-00.wdiff.html
>> 
>> 
>> Please send comments to this list, with Cc: to [email-masked] .
>> 
>> 
>> Thanks,
>> 
>> 
>> 	Henrik
>> 
>> 
>> 
>> 
> 
> 
>